/*
 * Copyright 2014 CyberVision, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef LOGRECORD_HPP_
#define LOGRECORD_HPP_

#include "kaa/KaaDefaults.hpp"

#ifdef KAA_USE_LOGGING

#include <vector>
#include <cstdint>
#include "kaa/common/AvroByteArrayConverter.hpp"
#include "kaa/log/gen/LogGen.hpp"

namespace kaa {

class LogRecord {
public:
    LogRecord() {}
    LogRecord(const SuperRecord & logRecord) {
        SharedDataBuffer buffer = converter_.toByteArray(logRecord);

        for (size_t i = 0; i < buffer.second; i++) {
            logData_.push_back(buffer.first[i]);
        }
    }
    ~LogRecord() {}

    const std::vector<std::uint8_t>&  getData();
    size_t                              getSize() const;

private:
    AvroByteArrayConverter<SuperRecord> converter_;
    std::vector<std::uint8_t> logData_;
};

}  // namespace kaa

#endif

#endif /* LOGRECORD_HPP_ */
