/*
 * Copyright 2014 CyberVision, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kaaproject.kaa.server.admin.client.mvp.view.widget;

import com.google.gwt.core.client.GWT;
import org.kaaproject.kaa.server.common.avro.ui.gwt.client.widget.SizedTextBox;

public class KaaAdminSizedTextBox extends SizedTextBox {

    private static KaaAdminSizedTextResources sizedTextResources = GWT.create(KaaAdminSizedTextResources.class);

    public KaaAdminSizedTextBox(int maxChars) {
        super(sizedTextResources.sizedTextStyle(), maxChars);
    }

    public KaaAdminSizedTextBox(int maxChars, boolean editable, boolean addNotes) {
        super(sizedTextResources.sizedTextStyle(), maxChars, editable, addNotes);
    }

    public KaaAdminSizedTextBox(int maxChars, boolean editable) {
        super(sizedTextResources.sizedTextStyle(), maxChars, editable);
    }
    
}
